Bug 251532 - lang/nim: Upgrade to 1.4.2
Summary: lang/nim: Upgrade to 1.4.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL: https://nim-lang.org/blog/2020/12/01/...
Keywords: buildisok, needs-qa
Depends on:
Blocks:
 
Reported: 2020-12-02 15:28 UTC by Neal Nelson
Modified: 2020-12-04 10:22 UTC (History)
1 user (show)

See Also:
fernape: merge-quarterly-


Attachments
Diffs to upgrade port. (1.50 KB, patch)
2020-12-02 15:28 UTC, Neal Nelson
ports: maintainer-approval+
Details | Diff
Patch without PORTVERSION (1.51 KB, patch)
2020-12-04 08:23 UTC, Neal Nelson
ports: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Neal Nelson 2020-12-02 15:28:05 UTC
Created attachment 220171 [details]
Diffs to upgrade port.

Upgrade Nim to 1.4.2.

Release notes: https://nim-lang.org/blog/2020/12/01/version-142-released.html
Comment 1 Automation User 2020-12-02 16:10:47 UTC
Build and package info is available at https://gitlab.com/swills/freebsd-ports/pipelines/224331156
Comment 2 Fernando Apesteguía freebsd_committer 2020-12-03 09:13:00 UTC
^Triage: Bugfix release, merge to quarterly branch.

Q/A: PORTREVISION should be removed

Thanks!
Comment 3 Neal Nelson 2020-12-04 08:23:00 UTC
Created attachment 220239 [details]
Patch without PORTVERSION

Here's a new version of the patch with the PORTVERSION removed.
Comment 4 commit-hook freebsd_committer 2020-12-04 10:21:06 UTC
A commit references this bug:

Author: fernape
Date: Fri Dec  4 10:20:44 UTC 2020
New revision: 556963
URL: https://svnweb.freebsd.org/changeset/ports/556963

Log:
  lang/nim: Upgrade to 1.4.2

  ChangeLog: https://nim-lang.org/blog/2020/12/01/version-142-released.html

  PR:	251532
  Submitted by:	ports@nicandneal.net (maintainer)

Changes:
  head/lang/nim/Makefile
  head/lang/nim/distinfo
  head/lang/nim/pkg-plist
Comment 5 Fernando Apesteguía freebsd_committer 2020-12-04 10:22:51 UTC
Committed,

Thanks!

MFH: no since we have 1.2.6 in 2020Q4